require 'sketchup.rb'

#load 'LIO_FEA_Dir_01/3DD_material.rb'
#load 'LIO_FEA_Dir_01/3DD_constraint.rb'
#load 'LIO_FEA_Dir_01/3DD_force.rb'
#load 'LIO_FEA_Dir_01/3DD_extract.rb'
Sketchup.load('LIO_FEA_Dir_01/3DD_material')
Sketchup.load('LIO_FEA_Dir_01/3DD_constraint')
Sketchup.load('LIO_FEA_Dir_01/3DD_force')
Sketchup.load('LIO_FEA_Dir_01/3DD_extract')

###
module INIT3DD
	
	class Setup3dd
	  ###
	  ###
	  def activate
		### get/set help file
=begin
		locale=Sketchup.get_locale.upcase
		help_locale=File.dirname(__FILE__)+"/3DDHelp"+locale+".htm"
		if FileTest.exist?(help_locale)
		  help=help_locale
		else
		  help=File.dirname(__FILE__)+"/3DDHelp.htm"
		end#if
=end
		###
		@toolbar_3dd=UI::Toolbar.new("3DD")
		###
		@cmd0=UI::Command.new("Apply Constraint"){Sketchup.active_model.select_tool LOADCTOOL::LoadCTool.new}
		@cmd0.small_icon="3DD_buttons/constraint.png"
		@cmd0.large_icon="3DD_buttons/constraint.png"
		@cmd0.tooltip="Apply Constraint"
		@toolbar_3dd.add_item @cmd0
		###
		@cmd1=UI::Command.new("Apply Force"){Sketchup.active_model.select_tool LOADFTOOL::LoadFTool.new}
		@cmd1.small_icon="3DD_buttons/force.png"
		@cmd1.large_icon="3DD_buttons/force.png"
		@cmd1.tooltip="Apply Force"
		@toolbar_3dd.add_item @cmd1
		###
		@cmd2=UI::Command.new("Apply Material"){MAT3DD.assign_material}
		@cmd2.small_icon="3DD_buttons/material.png"
		@cmd2.large_icon="3DD_buttons/material.png"
		@cmd2.tooltip="Apply Material"
		@toolbar_3dd.add_item @cmd2
		###
		@cmd3=UI::Command.new("Export 3DD"){SU2_3DD.su2_3dd}
		@cmd3.small_icon="3DD_buttons/extract.png"
		@cmd3.large_icon="3DD_buttons/extract.png"
		@cmd3.tooltip="Export 3DD"
		@toolbar_3dd.add_item @cmd3
		###
		#=================================================================================================
		### add sub-menu for 3DD Interface...
		UI.menu("Plugins").add_separator
		@submenu_3dd=UI.menu("Plugins").add_submenu("3DD Interface...")
		###
		@submenu_3dd.add_item("Apply Constraint"){Sketchup.active_model.select_tool LOADCTOOL::LoadCTool.new}
		@submenu_3dd.add_item("Apply Force"){Sketchup.active_model.select_tool LOADFTOOL::LoadFTool.new}
		@submenu_3dd.add_item("Apply Material"){}
		@submenu_3dd.add_item("Export 3DD"){SU2_3DD.su2_3dd}
=begin
		submenu2D.add_item(db"2D Tools Help"){
		  if [PLATFORM].grep(/mswin/)==[PLATFORM] ### it's a PC 
			UI.openURL(help)
		  else ### =a Mac
			UI.openURL(help)
		  end#if
		}
=end
		###
		 ### Context Menus
=begin
		 UI.add_context_menu_handler do |menu|
		  ss=Sketchup.active_model.selection
		  if TextTool2D.ok
			menu.add_separator
			menu.add_item(db"Edit 2D Text"){TextTool2D.edit}
		  end#if
		  if LinestyleTool2D.ok
			menu.add_separator
			menu.add_item(db"Edit 2D Line Style"){LinestyleTool2D.edit}
		  end#if
		end #do menu
=end
	  end#def activate
	   ###
	end#class
end#MODULE INIT
###
### adds Toolbar for 2D Tools...
if not file_loaded?(__FILE__)
  Sketchup.active_model.select_tool(INIT3DD::Setup3dd.new)
end#if
file_loaded(__FILE__)