=begin
*************************************************************************************************
*************************************************************************************************
 Copyright 2012, @KDB Design, Inc.
 Published Jul. 2012 by oyil

 This software is provided as an example of using the Ruby interface to SketchUp.

 Permission to use, copy, modify, and distribute this software for 
 any purpose and without fee is hereby granted, provided that the above
 copyright notice appear in all copies.

 THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*************************************************************************************************
 Name			:   LIO_loader.rb
 Type			:   Sketchup Tool
 Description	:   An entry point that loads other tools useful to create text interface files to free FEA software
 Menu Item		:   Plugin --> A submenu for supported free FEA software will have submenu items for required steps in workflow to generate the interface files 
 Context Menu	:   A submenu for supported free FEA software will have submenu item
 Usage			:   See Tutorial on  in PDF format
 Initial Date	:   
 Releases		:    -- initial release
 Credits	    :   
*************************************************************************************************
*************************************************************************************************
=end

require 'sketchup.rb' 
require 'extensions.rb' 

module LIO_FEA

	@version = "0.1"
	@folder = "LIO_FEA_Dir_01"
	@sdate = "30 Jul 2012"

	@path = File.join(File.dirname(__FILE__), @folder, "LIO_FEA.rb") 
	@ext = SketchupExtension.new("LIO_FEA", @path) 
	@ext.description = "Skethup FEA Interface" 
	
	@ext.creator = "oyil" 
	@ext.version = @version + " - " + @sdate 
	@ext.copyright = @ext.creator + " - Copyright " + @sdate 
	Sketchup.register_extension @ext, true

end #LIO_FEA

